Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class FilterAttribute

    java.lang.Object
      com.vordel.circuit.FilterAttribute

    public class FilterAttribute

extends java.lang.Object

Constructor Summary
`FilterAttribute(java.lang.String fieldName, Entity entity)`
`FilterAttribute(java.lang.String fieldName, java.lang.String value)`
`FilterAttribute(java.lang.String fieldName, java.lang.String defaultValue, Entity entity)`

Method Summary
`boolean` | `containsWildcard()`
`java.lang.String` | `getFieldName()`
`java.lang.String` | `getStringValue(Message m)`
`java.lang.String` | `getValue()`
`boolean` | `hasValue()`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(Message m)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterAttribute

    public FilterAttribute(java.lang.String fieldName,
                           java.lang.String value)

### FilterAttribute

    public FilterAttribute(java.lang.String fieldName,
                           Entity entity)
                    throws EntityStoreException

Throws:
  `EntityStoreException`

### FilterAttribute

    public FilterAttribute(java.lang.String fieldName,
                           java.lang.String defaultValue,
                           Entity entity)
                    throws EntityStoreException

Throws:
  `EntityStoreException`

Method Detail

### getFieldName

    public java.lang.String getFieldName()

### getValue

    public java.lang.String getValue()

### getStringValue

    public java.lang.String getStringValue(Message m)
                                    throws com.vordel.common.VordelException

  Throws:
    `com.vordel.common.VordelException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### containsWildcard

    public boolean containsWildcard()

### hasValue

    public boolean hasValue()

### toString

    public java.lang.String toString(Message m)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel